org.apache.poi.ss.formula.functions

## Class Fixed3ArgFunction

- java.lang.Object
- - org.apache.poi.ss.formula.functions.Fixed3ArgFunction

- All Implemented Interfaces:
    Function, Function3Arg
  Direct Known Subclasses:
    DateFunc, TimeFunc

      public abstract class Fixed3ArgFunction
      extends java.lang.Object
      implements Function3Arg

  Convenience base class for functions that must take exactly three arguments.
  Author:
    Josh Micich

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Fixed3ArgFunction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueEval` | `evaluate(ValueEval[] args, int srcRowIndex, int srcColumnIndex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.ss.formula.functions.Function3Arg

      `evaluate`

- - ### Constructor Detail

    - #### Fixed3ArgFunction

          public Fixed3ArgFunction()

  - ### Method Detail

    - #### evaluate

          public final ValueEval evaluate(ValueEval[] args,
                                          int srcRowIndex,
                                          int srcColumnIndex)

      Specified by:
        `evaluate` in interface `Function`
      Parameters:
        `args` - the evaluated function arguments. Empty values are represented with `BlankEval` or `MissingArgEval`, never `null`.
        `srcRowIndex` - row index of the cell containing the formula under evaluation
        `srcColumnIndex` - column index of the cell containing the formula under evaluation
      Returns:
        The evaluated result, possibly an `ErrorEval`, never `null`. Note - Excel uses the error code #NUM! instead of IEEE NaN, so when numeric functions evaluate to `Double.NaN` be sure to translate the result to `ErrorEval.NUM_ERROR`.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.